## PolkitUnixNetgroup PolkitUnixNetgroup — Unix netgroups |

## Functions

PolkitIdentity * | polkit_unix_netgroup_new ()
const gchar * | polkit_unix_netgroup_get_name ()
void | polkit_unix_netgroup_set_name ()

## Properties

gchar * | name | Read / Write / Construct

## Types and Values

| PolkitUnixNetgroup

## Object Hierarchy

        GObject
        ╰── PolkitUnixNetgroup

## Implemented Interfaces

PolkitUnixNetgroup implements PolkitIdentity.

## Description

An object representing a netgroup identity on a UNIX system.

## Functions

### polkit_unix_netgroup_new ()

    PolkitIdentity *
    polkit_unix_netgroup_new (const gchar *name);

Creates a new PolkitUnixNetgroup object for `name` .

#### Parameters

name | A netgroup name. |

#### Returns

A PolkitUnixNetgroup object. Free with `g_object_unref()`.

[transfer full]

### polkit_unix_netgroup_get_name ()

    const gchar *
    polkit_unix_netgroup_get_name (PolkitUnixNetgroup *group);

Gets the netgroup name for `group` .

#### Parameters

group | A PolkitUnixNetgroup. |

#### Returns

A netgroup name string.

### polkit_unix_netgroup_set_name ()

    void
    polkit_unix_netgroup_set_name (PolkitUnixNetgroup *group,
                                   const gchar *name);

Sets `name` for `group` .

#### Parameters

group | A PolkitUnixNetgroup. |
name | A netgroup name. |

## Types and Values

### PolkitUnixNetgroup

    typedef struct _PolkitUnixNetgroup PolkitUnixNetgroup;

The PolkitUnixNetgroup struct should not be accessed directly.

## Property Details

### The `“name”` property

      “name”                     gchar *

The NIS netgroup name.

Flags: Read / Write / Construct

Default value: NULL